Eclipse BIRT Report Object Model (ROM)

ExtendedProperty Structure

# Structure Overview

Represents one Extended property.

### Details

Display Name: | Extended Property
Since: | 1.0

### Property Summary

name
  Name of the extended property.
value
  Value of the extended property.

### Description

Stores a extended property mostly used for ODA properties.

# Property Detail

## name Property

Name of the extended property.

### Details

Type: | memberKey
Since: | 1.0
Required: | No
Display Name: | Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | Yes

### Description

Name of the extended property, can not be blank.

## value Property

Value of the extended property.

### Details

Type: | string
Since: | 1.0
Required: | No
Display Name: | Value
JavaScript Type: |
Default Value: | None
Runtime Settable: | Yes

### Description

Value of the extended property.